Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.daas.complextype.v1
Class Actor

    java.lang.Object
      be.fgov.ehealth.daas.complextype.v1.Actor

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:40:00+02:00",
               comments="JAXB RI v2.3.6")
    public class Actor

extends Object
implements Serializable

Identifier, name and occupation period of an actor (organization, INSS,...)

Java class for ActorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element name="Id" type="{urn:be:fgov:ehealth:daas:complextype:v1}TypeCodeType" maxOccurs="unbounded"/>
             <choice minOccurs="0">
               <sequence>
                 <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
                 <element name="MiddleName" type="{http://www.w3.org/2001/XMLSchema}anyType" minOccurs="0"/>
                 <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}anyType"/>
               </sequence>
               <sequence>
                 <element name="Name" type="{urn:be:fgov:ehealth:daas:complextype:v1}NameType" maxOccurs="unbounded"/>
               </sequence>
             </choice>
             <element name="Period" type="{urn:be:fgov:ehealth:commons:core:v2}PeriodType" minOccurs="0"/>
             <element name="Actor" type="{urn:be:fgov:ehealth:daas:complextype:v1}ActorType" minOccurs="0"/>
           </choice>
           <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="OptionEnumeration" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Actor()`

Method Summary
`List<Actor>` | `getActor()` Gets the value of the actor property.
`List<Object>` | `getFirstName()` Gets the value of the firstName property.
`List<TypeCodeType>` | `getId()` Gets the value of the id property.
`List<Object>` | `getLastName()` Gets the value of the lastName property.
`List<Object>` | `getMiddleName()` Gets the value of the middleName property.
`List<Name>` | `getName()` Gets the value of the name property.
`String` | `getOptionEnumeration()` Gets the value of the optionEnumeration property.
`List<PeriodType>` | `getPeriod()` Gets the value of the period property.
`String` | `getType()` Gets the value of the type property.
`void` | `setOptionEnumeration(String value)` Sets the value of the optionEnumeration property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Actor

    public Actor()

Method Detail

### getId

    public List<TypeCodeType> getId()

  Gets the value of the id property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the id property.

  For example, to add a new item, do as follows:

          getId().add(newItem);

  Objects of the following type(s) are allowed in the list `TypeCodeType`

### getLastName

    public List<Object> getLastName()

  Gets the value of the lastName property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lastName property.

  For example, to add a new item, do as follows:

          getLastName().add(newItem);

  Objects of the following type(s) are allowed in the list `Object`

### getName

    public List<Name> getName()

  Gets the value of the name property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the name property.

  For example, to add a new item, do as follows:

          getName().add(newItem);

  Objects of the following type(s) are allowed in the list `Name`

### getPeriod

    public List<PeriodType> getPeriod()

  Gets the value of the period property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the period property.

  For example, to add a new item, do as follows:

          getPeriod().add(newItem);

  Objects of the following type(s) are allowed in the list `PeriodType`

### getActor

    public List<Actor> getActor()

  Gets the value of the actor property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the actor property.

  For example, to add a new item, do as follows:

          getActor().add(newItem);

  Objects of the following type(s) are allowed in the list `Actor`

### getFirstName

    public List<Object> getFirstName()

  Gets the value of the firstName property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the firstName property.

  For example, to add a new item, do as follows:

          getFirstName().add(newItem);

  Objects of the following type(s) are allowed in the list `Object`

### getMiddleName

    public List<Object> getMiddleName()

  Gets the value of the middleName property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the middleName property.

  For example, to add a new item, do as follows:

          getMiddleName().add(newItem);

  Objects of the following type(s) are allowed in the list `Object`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getOptionEnumeration

    public String getOptionEnumeration()

  Gets the value of the optionEnumeration property.

  Returns:
    possible object is `String`

### setOptionEnumeration

    public void setOptionEnumeration(String value)

  Sets the value of the optionEnumeration property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging OTMOBILITYIMPROVEMENT 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.